Mailinglist Archive: opensuse (3336 mails)

< Previous Next >
Re: [SLE] KDE 3.5 in SUSE 9.1
  • From: "Mark A. Taff" <marktaff@xxxxxxxxxxx>
  • Date: Thu, 1 Dec 2005 17:03:54 -0800
  • Message-id: <200512011703.54224.marktaff@xxxxxxxxxxx>
On Thursday 01 December 2005 11:32, Benjamí Villoslada wrote:
> Any sucsessfully apt-get upgrade from KDE 3.4 to KDE 3.5?
>
> I have one problem: important packets are keept back, specially kdebase3
> and kdelibs3 (*)
>
> Anyone knows the reason or how to investigate it?
>
> Thanks :)
>
> (*) k3b kdeadmin3 kdeartwork3 kdebase3 kdebase3-devel
> kdebindings3-javascript kdegames3 kdegraphics3 kdelibs3 kdelibs3-devel
> kdemultimedia3
> kdemultimedia3-jukebox kdenetwork3 kdepim3 kdepim3-time-management kdesdk3
> kdetoys3 kdeutils3 kdevelop3
>
> --
> Benjamí
> http://weblog.bitassa.net
>
>
>
> .

Yes. On 9.3. `apt-get update`, then `apt-get -V upgrade`

It will hold back 3-4 kde packages. That means upgrades are available, but
apt needs more info (like a decision) from you before it can install/upgrade
them.

When those are upgraded fine, do `apt-get -V upgrade` again just to find out
what packages are still held back, and if any dependencies were fixed
automatically.

Then `apt-get -V install kdebase3 kdemultimedia3` and the other kde* packages
that were held back. At this point, apt will tell you what the problem is.
Probably a conflict with the existing version of the package you are
upgrading. Issue `apt-get -V remove kdebase3` or whatever the offending
packages are. Then install the new version with `apt-get -V install
kdebase3 ...`

I had to remove kdevelop3 for reasons I don't recall. I also had to uninstall
superkaramba. This is because as of kde 3.5, superkaramba is now part of
KDE, so the new package conflicts with the old package.

HTH

Mark

< Previous Next >
Follow Ups
References